Linux newlinux5.pouyasazan.org 3.10.0-962.3.2.lve1.5.60.el7.x86_64 #1 SMP Fri Jul 23 07:07:00 EDT 2021 x86_64
LiteSpeed
Server IP : 88.99.66.243 & Your IP : 216.73.216.178
Domains :
Cant Read [ /etc/named.conf ]
User : wdbbsgxf
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
usr /
bin /
Delete
Unzip
Name
Size
Permission
Date
Action
GET
14.71
KB
-rwxr-xr-x
2014-06-10 05:49
Mail
383.67
KB
-rwxr-xr-x
2018-04-11 11:37
[
40.52
KB
-rwxr-xr-x
2020-11-17 01:54
a2p
105.33
KB
-rwxr-xr-x
2026-01-13 18:28
aclocal
35.87
KB
-rwxr-xr-x
2014-06-10 12:33
aclocal-1.13
35.87
KB
-rwxr-xr-x
2014-06-10 12:33
addr2line
28.42
KB
-rwxr-xr-x
2025-03-10 23:10
agentxtrap
19.16
KB
-rwxr-xr-x
2024-01-29 10:30
animate
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
ar
61.21
KB
-rwxr-xr-x
2025-03-10 23:10
arch
32.3
KB
-rwxr-xr-x
2020-11-17 01:54
as
377.28
KB
-rwxr-xr-x
2025-03-10 23:10
aspell
163.35
KB
-rwxr-xr-x
2014-06-10 03:34
at
1.01
KB
-rwxr-xr-x
2022-05-19 11:25
atq
1.01
KB
-rwxr-xr-x
2022-05-19 11:25
atrm
1.02
KB
-rwxr-xr-x
2022-05-19 11:25
autoconf
14.42
KB
-rwxr-xr-x
2014-06-10 10:11
autoheader
8.33
KB
-rwxr-xr-x
2014-06-10 10:11
autom4te
31.43
KB
-rwxr-xr-x
2014-06-10 10:11
automake
246.44
KB
-rwxr-xr-x
2014-06-10 12:33
automake-1.13
246.44
KB
-rwxr-xr-x
2014-06-10 12:33
autoreconf
20.57
KB
-rwxr-xr-x
2014-06-10 10:11
autoscan
16.72
KB
-rwxr-xr-x
2014-06-10 10:11
autoupdate
33.08
KB
-rwxr-xr-x
2014-06-10 10:11
awk
418.54
KB
-rwxr-xr-x
2017-06-29 02:22
base64
36.48
KB
-rwxr-xr-x
2020-11-17 01:54
basename
28.35
KB
-rwxr-xr-x
2020-11-17 01:54
bash
941.93
KB
-rwxr-xr-x
2021-11-24 10:36
bashbug-64
6.8
KB
-rwxr-xr-x
2021-11-24 10:36
batch
137
B
-rwxr-xr-x
2022-05-19 11:25
bison
393.34
KB
-rwxr-xr-x
2018-10-31 00:04
bunzip2
31.89
KB
-rwxr-xr-x
2015-11-20 08:34
bzcat
31.89
KB
-rwxr-xr-x
2015-11-20 08:34
bzcmp
2.08
KB
-rwxr-xr-x
2015-11-20 08:34
bzdiff
2.08
KB
-rwxr-xr-x
2015-11-20 08:34
bzgrep
1.64
KB
-rwxr-xr-x
2015-11-20 08:34
bzip2
31.89
KB
-rwxr-xr-x
2015-11-20 08:34
bzip2recover
15.24
KB
-rwxr-xr-x
2015-11-20 08:34
bzless
1.23
KB
-rwxr-xr-x
2015-11-20 08:34
bzmore
1.23
KB
-rwxr-xr-x
2015-11-20 08:34
c++
754.59
KB
-rwxr-xr-x
2025-06-09 20:35
c++filt
27.92
KB
-rwxr-xr-x
2025-03-10 23:10
c2ph
35.75
KB
-rwxr-xr-x
2026-01-13 18:27
c89
224
B
-rwxr-xr-x
2025-06-09 20:35
c99
215
B
-rwxr-xr-x
2025-06-09 20:35
cagefs_enter.proxied
1.03
KB
-rwxr-xr-x
2025-05-26 14:41
cal
36.8
KB
-rwxr-xr-x
2021-02-02 20:01
captoinfo
64.26
KB
-rwxr-xr-x
2017-09-07 02:38
cat
52.81
KB
-rwxr-xr-x
2020-11-17 01:54
catchsegv
3.26
KB
-rwxr-xr-x
2025-09-18 12:58
cc
750.58
KB
-rwxr-xr-x
2025-06-09 20:35
chcon
61.46
KB
-rwxr-xr-x
2020-11-17 01:54
chgrp
61.32
KB
-rwxr-xr-x
2020-11-17 01:54
chmod
57.21
KB
-rwxr-xr-x
2020-11-17 01:54
chown
61.36
KB
-rwxr-xr-x
2020-11-17 01:54
chrt
32.17
KB
-rwxr-xr-x
2021-02-02 20:01
cksum
32.38
KB
-rwxr-xr-x
2020-11-17 01:54
cldetect
10.34
KB
-rwxr-xr-x
2025-11-13 13:22
clear
7.02
KB
-rwxr-xr-x
2017-09-07 02:38
cmp
44.14
KB
-rwxr-xr-x
2023-03-08 10:44
col
23.88
KB
-rwxr-xr-x
2021-02-02 20:01
colcrt
11.29
KB
-rwxr-xr-x
2021-02-02 20:01
colrm
23.77
KB
-rwxr-xr-x
2021-02-02 20:01
column
27.99
KB
-rwxr-xr-x
2021-02-02 20:01
comm
36.55
KB
-rwxr-xr-x
2020-11-17 01:54
compare
11.09
KB
-rwxr-xr-x
2023-10-25 10:53
composite
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
conjure
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
convert
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
cp
151.55
KB
-rwxr-xr-x
2020-11-17 01:54
cpan
4.97
KB
-rwxr-xr-x
2026-01-13 18:14
cpp
754.58
KB
-rwxr-xr-x
2025-06-09 20:35
crontab
1.49
KB
-rwxr-xr-x
2023-04-26 10:28
crontab.cagefs
49.12
KB
-rwxr-xr-x
2025-11-05 12:59
csplit
48.82
KB
-rwxr-xr-x
2020-11-17 01:54
curl
152.99
KB
-rwxr-xr-x
2023-12-20 15:05
cut
40.61
KB
-rwxr-xr-x
2020-11-17 01:54
date
60.74
KB
-rwxr-xr-x
2020-11-17 01:54
dbiprof
6.15
KB
-rwxr-xr-x
2014-06-10 05:36
dbiproxy
5.35
KB
-rwxr-xr-x
2014-06-10 05:36
dd
73.14
KB
-rwxr-xr-x
2020-11-17 01:54
delv
39.98
KB
-rwxr-xr-x
2025-03-04 13:54
df
102.55
KB
-rwxr-xr-x
2020-11-17 01:54
diff
195.46
KB
-rwxr-xr-x
2023-03-08 10:44
diff3
60.65
KB
-rwxr-xr-x
2023-03-08 10:44
dig
146.96
KB
-rwxr-xr-x
2025-03-04 13:54
dir
114.85
KB
-rwxr-xr-x
2020-11-17 01:54
dircolors
40.44
KB
-rwxr-xr-x
2020-11-17 01:54
dirname
28.31
KB
-rwxr-xr-x
2020-11-17 01:54
display
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
dltest
11.05
KB
-rwxr-xr-x
2019-08-09 07:42
du
110.34
KB
-rwxr-xr-x
2020-11-17 01:54
dvipdf
1
KB
-rwxr-xr-x
2020-09-30 19:50
echo
32.31
KB
-rwxr-xr-x
2020-11-17 01:54
egrep
290
B
-rwxr-xr-x
2017-08-03 11:28
enchant
15.29
KB
-rwxr-xr-x
2014-06-09 23:16
enchant-lsmod
11.13
KB
-rwxr-xr-x
2014-06-09 23:16
env
28.33
KB
-rwxr-xr-x
2020-11-17 01:54
eps2eps
639
B
-rwxr-xr-x
2020-09-30 19:50
eqn
144.41
KB
-rwxr-xr-x
2014-06-10 00:47
ex
906.45
KB
-rwxr-xr-x
2020-12-15 20:14
expand
32.48
KB
-rwxr-xr-x
2020-11-17 01:54
expr
36.53
KB
-rwxr-xr-x
2020-11-17 01:54
factor
93.29
KB
-rwxr-xr-x
2020-11-17 01:54
false
28.25
KB
-rwxr-xr-x
2020-11-17 01:54
fc-cache
132
B
-rwxr-xr-x
2018-10-30 18:43
fc-cache-64
15.45
KB
-rwxr-xr-x
2018-10-30 22:04
fc-cat
15.4
KB
-rwxr-xr-x
2018-10-30 22:04
fc-conflist
11.2
KB
-rwxr-xr-x
2018-10-30 22:04
fc-list
11.26
KB
-rwxr-xr-x
2018-10-30 22:04
fc-match
11.32
KB
-rwxr-xr-x
2018-10-30 22:04
fc-pattern
11.26
KB
-rwxr-xr-x
2018-10-30 22:04
fc-query
11.23
KB
-rwxr-xr-x
2018-10-30 22:04
fc-scan
11.27
KB
-rwxr-xr-x
2018-10-30 22:04
fc-validate
11.27
KB
-rwxr-xr-x
2018-10-30 22:04
fgrep
290
B
-rwxr-xr-x
2017-08-03 11:28
file
19.3
KB
-rwxr-xr-x
2020-09-30 19:38
find
194.63
KB
-rwxr-xr-x
2018-10-30 20:12
find2perl
23.06
KB
-rwxr-xr-x
2026-01-13 18:27
flex
318.07
KB
-rwxr-xr-x
2018-10-31 00:00
flex++
318.07
KB
-rwxr-xr-x
2018-10-31 00:00
flock
23.88
KB
-rwxr-xr-x
2021-02-02 20:01
fmt
36.48
KB
-rwxr-xr-x
2020-11-17 01:54
fold
36.46
KB
-rwxr-xr-x
2020-11-17 01:54
free
19.33
KB
-rwxr-xr-x
2020-09-30 20:51
freetype-config
4.39
KB
-rwxr-xr-x
2020-11-06 17:41
funzip
31.38
KB
-rwxr-xr-x
2022-01-12 11:06
g++
754.59
KB
-rwxr-xr-x
2025-06-09 20:35
gawk
418.54
KB
-rwxr-xr-x
2017-06-29 02:22
gcc
750.58
KB
-rwxr-xr-x
2025-06-09 20:35
gcc-ar
26.45
KB
-rwxr-xr-x
2025-06-09 20:35
gcc-nm
26.45
KB
-rwxr-xr-x
2025-06-09 20:35
gcc-ranlib
26.45
KB
-rwxr-xr-x
2025-06-09 20:35
gcov
311.45
KB
-rwxr-xr-x
2025-06-09 20:35
gencat
22.11
KB
-rwxr-xr-x
2025-09-18 13:51
geoiplookup
15.28
KB
-rwxr-xr-x
2019-08-09 04:04
geoiplookup6
11.16
KB
-rwxr-xr-x
2019-08-09 04:04
geqn
144.41
KB
-rwxr-xr-x
2014-06-10 00:47
getconf
22.02
KB
-rwxr-xr-x
2025-09-18 13:51
getent
26.39
KB
-rwxr-xr-x
2025-09-18 13:51
getopt
15.38
KB
-rwxr-xr-x
2021-02-02 20:01
ghostscript
10.97
KB
-rwxr-xr-x
2020-09-30 19:51
git
1.46
MB
-rwxr-xr-x
2026-01-13 10:57
git-receive-pack
1.46
MB
-rwxr-xr-x
2026-01-13 10:57
git-shell
722.05
KB
-rwxr-xr-x
2026-01-13 10:57
git-upload-archive
1.46
MB
-rwxr-xr-x
2026-01-13 10:57
git-upload-pack
795.52
KB
-rwxr-xr-x
2026-01-13 10:57
gm
6.98
KB
-rwxr-xr-x
2022-03-28 20:20
gmake
178.47
KB
-rwxr-xr-x
2019-08-09 05:16
gneqn
271
B
-rwxr-xr-x
2014-06-10 00:47
gnroff
3.31
KB
-rwxr-xr-x
2014-06-10 00:47
gpg
732.4
KB
-rwxr-xr-x
2018-07-13 17:35
gpg-agent
289.74
KB
-rwxr-xr-x
2018-07-13 17:35
gpg-error
23.18
KB
-rwxr-xr-x
2014-06-10 13:16
gpg-zip
3.23
KB
-rwxr-xr-x
2018-07-13 17:35
gpg2
732.4
KB
-rwxr-xr-x
2018-07-13 17:35
gpgsplit
48.88
KB
-rwxr-xr-x
2018-07-13 17:35
gpgv
345.38
KB
-rwxr-xr-x
2018-07-13 17:35
gpgv2
345.38
KB
-rwxr-xr-x
2018-07-13 17:35
gpic
180.41
KB
-rwxr-xr-x
2014-06-10 00:47
gprof
98.41
KB
-rwxr-xr-x
2025-03-10 23:10
grep
155.3
KB
-rwxr-xr-x
2017-08-03 11:28
groff
81.63
KB
-rwxr-xr-x
2014-06-10 00:47
grops
140.85
KB
-rwxr-xr-x
2014-06-10 00:47
grotty
98.59
KB
-rwxr-xr-x
2014-06-10 00:47
groups
32.41
KB
-rwxr-xr-x
2020-11-17 01:54
gs
10.97
KB
-rwxr-xr-x
2020-09-30 19:51
gsbj
350
B
-rwxr-xr-x
2020-09-30 19:50
gsdj
352
B
-rwxr-xr-x
2020-09-30 19:50
gsdj500
352
B
-rwxr-xr-x
2020-09-30 19:50
gslj
353
B
-rwxr-xr-x
2020-09-30 19:50
gslp
350
B
-rwxr-xr-x
2020-09-30 19:50
gsnd
277
B
-rwxr-xr-x
2020-09-30 19:50
gsoelim
32.59
KB
-rwxr-xr-x
2014-06-10 00:47
gtar
338.02
KB
-rwxr-xr-x
2018-10-30 23:54
gtbl
115.96
KB
-rwxr-xr-x
2014-06-10 00:47
gtroff
512.96
KB
-rwxr-xr-x
2014-06-10 00:47
gunzip
2.2
KB
-rwxr-xr-x
2022-05-12 11:26
gzexe
5.79
KB
-rwxr-xr-x
2022-05-12 11:26
gzip
98.43
KB
-rwxr-xr-x
2022-05-12 11:26
h2ph
27.65
KB
-rwxr-xr-x
2026-01-13 18:27
h2xs
59.15
KB
-rwxr-xr-x
2026-01-13 18:27
head
40.51
KB
-rwxr-xr-x
2020-11-17 01:54
hexdump
32.02
KB
-rwxr-xr-x
2021-02-02 20:01
host
127.02
KB
-rwxr-xr-x
2025-03-04 13:54
hostid
28.32
KB
-rwxr-xr-x
2020-11-17 01:54
hostname
15.41
KB
-rwxr-xr-x
2019-10-18 19:32
hunspell
53.11
KB
-rwxr-xr-x
2020-09-30 20:05
iconv
58.14
KB
-rwxr-xr-x
2025-09-18 13:51
id
36.52
KB
-rwxr-xr-x
2020-11-17 01:54
identify
7.06
KB
-rwxr-xr-x
2023-10-25 10:53
idn
32.45
KB
-rwxr-xr-x
2015-11-21 20:30
ifnames
4.03
KB
-rwxr-xr-x
2014-06-10 10:11
igawk
3.11
KB
-rwxr-xr-x
2017-06-29 02:22
import
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
infocmp
56.07
KB
-rwxr-xr-x
2017-09-07 02:38
infotocap
64.26
KB
-rwxr-xr-x
2017-09-07 02:38
install
139.59
KB
-rwxr-xr-x
2020-11-17 01:54
instmodsh
4.15
KB
-rwxr-xr-x
2014-06-10 06:28
ionice
23.86
KB
-rwxr-xr-x
2021-02-02 20:01
ipcrm
27.85
KB
-rwxr-xr-x
2021-02-02 20:01
ipcs
48.37
KB
-rwxr-xr-x
2021-02-02 20:01
isosize
23.83
KB
-rwxr-xr-x
2021-02-02 20:01
ispell
988
B
-rwxr-xr-x
2014-06-10 03:34
isql
31.69
KB
-rwxr-xr-x
2019-08-09 07:42
iusql
23.61
KB
-rwxr-xr-x
2019-08-09 07:42
join
48.75
KB
-rwxr-xr-x
2020-11-17 01:54
kill
32.82
KB
-rwxr-xr-x
2021-02-02 20:01
ld
982.59
KB
-rwxr-xr-x
2025-03-10 23:10
ld.bfd
982.59
KB
-rwxr-xr-x
2025-03-10 23:10
ldd
5.18
KB
-rwxr-xr-x
2025-09-18 12:59
less
154.57
KB
-rwxr-xr-x
2024-06-17 12:41
lessecho
11.13
KB
-rwxr-xr-x
2024-06-17 12:41
lesskey
16.67
KB
-rwxr-xr-x
2024-06-17 12:41
lesspipe.sh
2.24
KB
-rwxr-xr-x
2024-04-30 16:05
lex
318.07
KB
-rwxr-xr-x
2018-10-31 00:00
libnetcfg
15.36
KB
-rwxr-xr-x
2026-01-13 18:27
libtool
314.04
KB
-rwxr-xr-x
2017-04-12 23:27
libtoolize
76.8
KB
-rwxr-xr-x
2017-04-12 23:27
link
28.3
KB
-rwxr-xr-x
2020-11-17 01:54
ln
57.22
KB
-rwxr-xr-x
2020-11-17 01:54
locale
37.11
KB
-rwxr-xr-x
2025-09-18 13:51
localedef
318.31
KB
-rwxr-xr-x
2025-09-18 13:51
logger
28.62
KB
-rwxr-xr-x
2021-02-02 20:01
login
36.38
KB
-rwxr-xr-x
2021-02-02 20:01
logname
28.31
KB
-rwxr-xr-x
2020-11-17 01:54
look
11.27
KB
-rwxr-xr-x
2021-02-02 20:01
lprsetup.sh
5.34
KB
-rwxr-xr-x
2020-09-30 19:50
ls
114.85
KB
-rwxr-xr-x
2020-11-17 01:54
m4
151.17
KB
-rwxr-xr-x
2015-11-20 10:57
mail
383.67
KB
-rwxr-xr-x
2018-04-11 11:37
mailx
383.67
KB
-rwxr-xr-x
2018-04-11 11:37
make
178.47
KB
-rwxr-xr-x
2019-08-09 05:16
mcookie
15.44
KB
-rwxr-xr-x
2021-02-02 20:01
md5sum
40.53
KB
-rwxr-xr-x
2020-11-17 01:54
mdig
44.2
KB
-rwxr-xr-x
2025-03-04 13:54
mesg
10.98
KB
-rwxr-xr-x
2014-06-10 03:46
mkdir
77.9
KB
-rwxr-xr-x
2020-11-17 01:54
mkfifo
61.59
KB
-rwxr-xr-x
2020-11-17 01:54
mknod
65.61
KB
-rwxr-xr-x
2020-11-17 01:54
mktemp
40.66
KB
-rwxr-xr-x
2020-11-17 01:54
mogrify
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
montage
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
more
40.15
KB
-rwxr-xr-x
2021-02-02 20:01
mv
127.3
KB
-rwxr-xr-x
2020-11-17 01:54
my_print_defaults
8.81
MB
-rwxr-xr-x
2023-10-11 15:39
mysql
12.1
MB
-rwxr-xr-x
2023-10-11 15:40
mysql_config
840
B
-rwxr-xr-x
2023-10-11 15:39
mysql_config-64
5.11
KB
-rwxr-xr-x
2023-10-11 15:39
mysqladmin
10.76
MB
-rwxr-xr-x
2023-10-11 15:40
mysqlbinlog
12.69
MB
-rwxr-xr-x
2023-10-11 15:40
mysqlcheck
11.04
MB
-rwxr-xr-x
2023-10-11 15:40
mysqldump
11.13
MB
-rwxr-xr-x
2023-10-11 15:40
mysqlimport
10.76
MB
-rwxr-xr-x
2023-10-11 15:40
mysqlshow
10.72
MB
-rwxr-xr-x
2023-10-11 15:40
namei
27.95
KB
-rwxr-xr-x
2021-02-02 20:01
nano
201.08
KB
-rwxr-xr-x
2014-06-10 09:17
neqn
271
B
-rwxr-xr-x
2014-06-10 00:47
net-snmp-create-v3-user
2.98
KB
-rwxr-xr-x
2024-01-29 10:30
nice
32.32
KB
-rwxr-xr-x
2020-11-17 01:54
nl
40.6
KB
-rwxr-xr-x
2020-11-17 01:54
nm
45.43
KB
-rwxr-xr-x
2025-03-10 23:10
nohup
32.42
KB
-rwxr-xr-x
2020-11-17 01:54
nproc
32.37
KB
-rwxr-xr-x
2020-11-17 01:54
nroff
3.31
KB
-rwxr-xr-x
2014-06-10 00:47
nslookup
130.93
KB
-rwxr-xr-x
2025-03-04 13:54
nsupdate
65.2
KB
-rwxr-xr-x
2025-03-04 13:54
numfmt
64.71
KB
-rwxr-xr-x
2020-11-17 01:54
objcopy
227.34
KB
-rwxr-xr-x
2025-03-10 23:10
objdump
357.75
KB
-rwxr-xr-x
2025-03-10 23:10
od
64.81
KB
-rwxr-xr-x
2020-11-17 01:54
odbc_config
11.04
KB
-rwxr-xr-x
2019-08-09 07:42
odbcinst
27.69
KB
-rwxr-xr-x
2019-08-09 07:42
openssl
542.27
KB
-rwxr-xr-x
2025-10-08 16:52
pango-list
11.1
KB
-rwxr-xr-x
2019-09-13 22:33
pango-querymodules-64
28.26
KB
-rwxr-xr-x
2020-11-17 01:54
pango-view
49.47
KB
-rwxr-xr-x
2019-09-13 22:33
passwd
1.02
KB
-rwxr-xr-x
2020-04-01 08:27
paste
32.34
KB
-rwxr-xr-x
2020-11-17 01:54
patch
147
KB
-rwxr-xr-x
2019-10-23 03:29
pathchk
32.31
KB
-rwxr-xr-x
2020-11-17 01:54
pdf2dsc
698
B
-rwxr-xr-x
2020-09-30 19:50
pdf2ps
909
B
-rwxr-xr-x
2020-09-30 19:50
perl
11.14
KB
-rwxr-xr-x
2026-01-13 18:28
perl5.16.3
11.14
KB
-rwxr-xr-x
2026-01-13 18:28
perlbug
43.61
KB
-rwxr-xr-x
2026-01-13 18:27
perldoc
203
B
-rwxr-xr-x
2014-06-10 12:47
perlivp
10.52
KB
-rwxr-xr-x
2026-01-13 18:27
perlml
5.98
KB
-rwxr-xr-x
2022-08-11 01:25
perlthanks
43.61
KB
-rwxr-xr-x
2026-01-13 18:27
pf2afm
498
B
-rwxr-xr-x
2020-09-30 19:50
pfbtopfa
516
B
-rwxr-xr-x
2020-09-30 19:50
pgawk
418.63
KB
-rwxr-xr-x
2017-06-29 02:22
pgrep
27.67
KB
-rwxr-xr-x
2020-09-30 20:51
php
937
B
-rwxr-xr-x
2025-04-03 14:18
pic
180.41
KB
-rwxr-xr-x
2014-06-10 00:47
piconv
7.99
KB
-rwxr-xr-x
2014-06-10 07:19
pinentry
2.54
KB
-rwxr-xr-x
2016-11-04 21:32
pinentry-curses
49.19
KB
-rwxr-xr-x
2016-11-05 19:19
ping
1.02
KB
-rwxr-xr-x
2017-08-04 12:31
pinky
36.57
KB
-rwxr-xr-x
2020-11-17 01:54
pkg-config
44.38
KB
-rwxr-xr-x
2014-06-10 02:35
pkill
27.67
KB
-rwxr-xr-x
2020-09-30 20:51
pl2pm
4.42
KB
-rwxr-xr-x
2026-01-13 18:27
pmap
27.61
KB
-rwxr-xr-x
2020-09-30 20:51
pod2html
4
KB
-rwxr-xr-x
2026-01-13 18:27
pod2latex
10.1
KB
-rwxr-xr-x
2014-06-10 12:23
pod2man
13.26
KB
-rwxr-xr-x
2014-06-10 00:26
pod2text
10.75
KB
-rwxr-xr-x
2014-06-10 00:26
pod2usage
3.67
KB
-rwxr-xr-x
2014-06-10 13:26
podchecker
3.7
KB
-rwxr-xr-x
2014-06-10 00:58
podselect
2.55
KB
-rwxr-xr-x
2014-06-10 08:34
post-grohtml
187.55
KB
-rwxr-xr-x
2014-06-10 00:47
pphs
404
B
-rwxr-xr-x
2020-09-30 19:50
pr
65.11
KB
-rwxr-xr-x
2020-11-17 01:54
pre-grohtml
86.24
KB
-rwxr-xr-x
2014-06-10 00:47
precat
5.52
KB
-rwxr-xr-x
2014-06-10 03:34
preunzip
5.52
KB
-rwxr-xr-x
2014-06-10 03:34
prezip
5.52
KB
-rwxr-xr-x
2014-06-10 03:34
prezip-bin
11.05
KB
-rwxr-xr-x
2014-06-10 03:34
printafm
395
B
-rwxr-xr-x
2020-09-30 19:50
printenv
28.28
KB
-rwxr-xr-x
2020-11-17 01:54
printf
48.61
KB
-rwxr-xr-x
2020-11-17 01:54
prove
13.13
KB
-rwxr-xr-x
2015-08-12 18:52
ps
97.77
KB
-rwxr-xr-x
2020-09-30 20:51
ps2ascii
631
B
-rwxr-xr-x
2020-09-30 19:50
ps2epsi
2.69
KB
-rwxr-xr-x
2020-09-30 19:50
ps2pdf
272
B
-rwxr-xr-x
2020-09-30 19:50
ps2pdf12
215
B
-rwxr-xr-x
2020-09-30 19:50
ps2pdf13
215
B
-rwxr-xr-x
2020-09-30 19:50
ps2pdf14
215
B
-rwxr-xr-x
2020-09-30 19:50
ps2pdfwr
1.07
KB
-rwxr-xr-x
2020-09-30 19:50
ps2ps
647
B
-rwxr-xr-x
2020-09-30 19:50
ps2ps2
669
B
-rwxr-xr-x
2020-09-30 19:50
psed
52.08
KB
-rwxr-xr-x
2026-01-13 18:27
pstruct
35.75
KB
-rwxr-xr-x
2026-01-13 18:27
ptx
65.08
KB
-rwxr-xr-x
2020-11-17 01:54
pwd
32.45
KB
-rwxr-xr-x
2020-11-17 01:54
pwdx
11.27
KB
-rwxr-xr-x
2020-09-30 20:51
pydoc
78
B
-rwxr-xr-x
2025-11-12 17:54
python
6.98
KB
-rwxr-xr-x
2025-11-12 17:55
python2
6.98
KB
-rwxr-xr-x
2025-11-12 17:55
python2.7
6.98
KB
-rwxr-xr-x
2025-11-12 17:55
ranlib
61.21
KB
-rwxr-xr-x
2025-03-10 23:10
raw
15.27
KB
-rwxr-xr-x
2021-02-02 20:01
readelf
509.84
KB
-rwxr-xr-x
2025-03-10 23:10
readlink
40.82
KB
-rwxr-xr-x
2020-11-17 01:54
realpath
61.23
KB
-rwxr-xr-x
2020-11-17 01:54
recode
39.87
KB
-rwxr-xr-x
2014-09-18 00:48
rename
11.26
KB
-rwxr-xr-x
2021-02-02 20:01
renice
11.21
KB
-rwxr-xr-x
2021-02-02 20:01
replace
5.16
MB
-rwxr-xr-x
2023-10-11 15:39
reset
19.6
KB
-rwxr-xr-x
2017-09-07 02:38
rev
11.26
KB
-rwxr-xr-x
2021-02-02 20:01
rm
61.4
KB
-rwxr-xr-x
2020-11-17 01:54
rmdir
44.46
KB
-rwxr-xr-x
2020-11-17 01:54
rnano
201.08
KB
-rwxr-xr-x
2014-06-10 09:17
rpcgen
90.45
KB
-rwxr-xr-x
2025-09-18 13:51
run-with-aspell
85
B
-rwxr-xr-x
2014-06-10 03:34
runcon
32.47
KB
-rwxr-xr-x
2020-11-17 01:54
rvi
906.45
KB
-rwxr-xr-x
2020-12-15 20:14
rview
906.45
KB
-rwxr-xr-x
2020-12-15 20:14
s2p
52.08
KB
-rwxr-xr-x
2026-01-13 18:27
scl
19.5
KB
-rwxr-xr-x
2018-10-30 22:47
scl_enabled
258
B
-rwxr-xr-x
2018-10-30 22:47
scl_source
1.83
KB
-rwxr-xr-x
2018-10-30 22:47
scp
89.24
KB
-rwxr-xr-x
2025-06-10 10:18
script
19.61
KB
-rwxr-xr-x
2021-02-02 20:01
sdiff
48.41
KB
-rwxr-xr-x
2023-03-08 10:44
sed
74.29
KB
-rwxr-xr-x
2020-09-30 21:05
selectorctl
7.63
KB
-rwxr-xr-x
2025-12-15 17:41
seq
48.48
KB
-rwxr-xr-x
2020-11-17 01:54
setsid
11.23
KB
-rwxr-xr-x
2021-02-02 20:01
setterm
27.48
KB
-rwxr-xr-x
2021-02-02 20:01
sftp
142.02
KB
-rwxr-xr-x
2025-06-10 10:18
sh
941.93
KB
-rwxr-xr-x
2021-11-24 10:36
sha1sum
36.57
KB
-rwxr-xr-x
2020-11-17 01:54
sha224sum
40.63
KB
-rwxr-xr-x
2020-11-17 01:54
sha256sum
40.63
KB
-rwxr-xr-x
2020-11-17 01:54
sha384sum
40.65
KB
-rwxr-xr-x
2020-11-17 01:54
sha512sum
40.65
KB
-rwxr-xr-x
2020-11-17 01:54
shred
52.94
KB
-rwxr-xr-x
2020-11-17 01:54
shuf
49.13
KB
-rwxr-xr-x
2020-11-17 01:54
size
32.35
KB
-rwxr-xr-x
2025-03-10 23:10
skill
23.62
KB
-rwxr-xr-x
2020-09-30 20:51
slabtop
19.52
KB
-rwxr-xr-x
2020-09-30 20:51
sleep
32.35
KB
-rwxr-xr-x
2020-11-17 01:54
slogin
760.44
KB
-rwxr-xr-x
2025-06-10 10:18
snice
23.62
KB
-rwxr-xr-x
2020-09-30 20:51
snmpconf
25.52
KB
-rwxr-xr-x
2024-01-29 10:30
soelim
32.59
KB
-rwxr-xr-x
2014-06-10 00:47
sort
114.94
KB
-rwxr-xr-x
2020-11-17 01:54
spell
122
B
-rwxr-xr-x
2014-06-10 03:34
splain
18.03
KB
-rwxr-xr-x
2026-01-13 18:27
split
69.47
KB
-rwxr-xr-x
2020-11-17 01:54
sprof
22.1
KB
-rwxr-xr-x
2025-09-18 13:51
sqlite3
54.95
KB
-rwxr-xr-x
2025-08-04 16:57
ssh
760.44
KB
-rwxr-xr-x
2025-06-10 10:18
ssh-add
348.48
KB
-rwxr-xr-x
2025-06-10 10:18
ssh-agent
373.25
KB
---x--x--x
2025-06-10 10:18
ssh-copy-id
10.22
KB
-rwxr-xr-x
2025-06-10 10:18
ssh-keygen
409.4
KB
-rwxr-xr-x
2025-06-10 10:18
ssh-keyscan
434.7
KB
-rwxr-xr-x
2025-06-10 10:18
stat
77.19
KB
-rwxr-xr-x
2020-11-17 01:54
stdbuf
64.88
KB
-rwxr-xr-x
2020-11-17 01:54
strace
1009.19
KB
-rwxr-xr-x
2023-08-30 12:28
stream
7.05
KB
-rwxr-xr-x
2023-10-25 10:53
strings
36.53
KB
-rwxr-xr-x
2025-03-10 23:10
strip
227.32
KB
-rwxr-xr-x
2025-03-10 23:10
stty
68.61
KB
-rwxr-xr-x
2020-11-17 01:54
sum
36.55
KB
-rwxr-xr-x
2020-11-17 01:54
sync
28.33
KB
-rwxr-xr-x
2020-11-17 01:54
tabs
15.31
KB
-rwxr-xr-x
2017-09-07 02:38
tac
32.48
KB
-rwxr-xr-x
2020-11-17 01:54
tail
65.25
KB
-rwxr-xr-x
2020-11-17 01:54
tailf
23.88
KB
-rwxr-xr-x
2021-02-02 20:01
tar
338.02
KB
-rwxr-xr-x
2018-10-30 23:54
taskset
32.22
KB
-rwxr-xr-x
2021-02-02 20:01
tbl
115.96
KB
-rwxr-xr-x
2014-06-10 00:47
tclsh
7
KB
-rwxr-xr-x
2015-11-20 12:10
tclsh8.5
7
KB
-rwxr-xr-x
2015-11-20 12:10
tee
32.38
KB
-rwxr-xr-x
2020-11-17 01:54
test
36.46
KB
-rwxr-xr-x
2020-11-17 01:54
tic
64.26
KB
-rwxr-xr-x
2017-09-07 02:38
timeout
53.31
KB
-rwxr-xr-x
2020-11-17 01:54
tload
15.38
KB
-rwxr-xr-x
2020-09-30 20:51
tmpwatch
27.87
KB
-rwxr-xr-x
2019-06-09 14:12
toe
15.43
KB
-rwxr-xr-x
2017-09-07 02:38
top
104.38
KB
-rwxr-xr-x
2020-09-30 20:51
touch
61.02
KB
-rwxr-xr-x
2020-11-17 01:54
tput
15.41
KB
-rwxr-xr-x
2017-09-07 02:38
tr
44.61
KB
-rwxr-xr-x
2020-11-17 01:54
troff
512.96
KB
-rwxr-xr-x
2014-06-10 00:47
true
28.26
KB
-rwxr-xr-x
2020-11-17 01:54
truncate
52.68
KB
-rwxr-xr-x
2020-11-17 01:54
tset
19.6
KB
-rwxr-xr-x
2017-09-07 02:38
tsort
36.47
KB
-rwxr-xr-x
2020-11-17 01:54
tty
28.29
KB
-rwxr-xr-x
2020-11-17 01:54
tzselect
7.17
KB
-rwxr-xr-x
2025-09-18 12:58
uapi
1.02
KB
-rwxr-xr-x
2025-04-15 05:48
ul
19.47
KB
-rwxr-xr-x
2021-02-02 20:01
uname
32.3
KB
-rwxr-xr-x
2020-11-17 01:54
unexpand
32.45
KB
-rwxr-xr-x
2020-11-17 01:54
uniq
44.71
KB
-rwxr-xr-x
2020-11-17 01:54
unix-lpr.sh
4.07
KB
-rwxr-xr-x
2020-09-30 19:50
unlink
28.3
KB
-rwxr-xr-x
2020-11-17 01:54
unzip
185.16
KB
-rwxr-xr-x
2022-01-12 11:06
unzipsfx
88.66
KB
-rwxr-xr-x
2022-01-12 11:06
uptime
11.22
KB
-rwxr-xr-x
2020-09-30 20:51
users
32.42
KB
-rwxr-xr-x
2020-11-17 01:54
utmpdump
15.45
KB
-rwxr-xr-x
2021-02-02 20:01
vdir
114.85
KB
-rwxr-xr-x
2020-11-17 01:54
vi
906.45
KB
-rwxr-xr-x
2020-12-15 20:14
view
906.45
KB
-rwxr-xr-x
2020-12-15 20:14
vmstat
31.48
KB
-rwxr-xr-x
2020-09-30 20:51
watch
24.14
KB
-rwxr-xr-x
2020-09-30 20:51
wc
40.67
KB
-rwxr-xr-x
2020-11-17 01:54
wget
408.97
KB
-rwxr-xr-x
2024-08-15 13:50
whereis
20.2
KB
-rwxr-xr-x
2021-02-02 20:01
which
23.77
KB
-rwxr-xr-x
2014-06-10 06:55
who
48.7
KB
-rwxr-xr-x
2020-11-17 01:54
whoami
28.3
KB
-rwxr-xr-x
2020-11-17 01:54
word-list-compress
11.03
KB
-rwxr-xr-x
2014-06-10 03:34
x86_64-redhat-linux-c++
754.59
KB
-rwxr-xr-x
2025-06-09 20:35
x86_64-redhat-linux-g++
754.59
KB
-rwxr-xr-x
2025-06-09 20:35
x86_64-redhat-linux-gcc
750.58
KB
-rwxr-xr-x
2025-06-09 20:35
xargs
60.91
KB
-rwxr-xr-x
2018-10-30 20:12
xmlcatalog
15.3
KB
-rwxr-xr-x
2025-09-08 17:20
xmllint
61.94
KB
-rwxr-xr-x
2025-09-08 17:20
xmlwf
24
KB
-rwxr-xr-x
2024-09-16 17:45
xsltproc
23.51
KB
-rwxr-xr-x
2020-09-30 20:26
xsubpp
4.45
KB
-rwxr-xr-x
2017-08-02 10:13
yes
28.3
KB
-rwxr-xr-x
2020-11-17 01:54
zcat
1.9
KB
-rwxr-xr-x
2022-05-12 11:26
zcmp
1.72
KB
-rwxr-xr-x
2022-05-12 11:26
zdiff
5.63
KB
-rwxr-xr-x
2022-05-12 11:26
zegrep
123
B
-rwxr-xr-x
2022-05-12 11:26
zfgrep
123
B
-rwxr-xr-x
2022-05-12 11:26
zforce
2.09
KB
-rwxr-xr-x
2022-05-12 11:26
zgrep
5.98
KB
-rwxr-xr-x
2022-05-12 11:26
zip
210.78
KB
-rwxr-xr-x
2016-11-05 20:19
zipcloak
98.1
KB
-rwxr-xr-x
2016-11-05 20:19
zipgrep
2.88
KB
-rwxr-xr-x
2008-10-10 21:10
zipinfo
185.16
KB
-rwxr-xr-x
2022-01-12 11:06
zipnote
93.73
KB
-rwxr-xr-x
2016-11-05 20:19
zipsplit
97.75
KB
-rwxr-xr-x
2016-11-05 20:19
zless
1.99
KB
-rwxr-xr-x
2022-05-12 11:26
zmore
2.79
KB
-rwxr-xr-x
2022-05-12 11:26
znew
5.22
KB
-rwxr-xr-x
2022-05-12 11:26
zsoelim
32.59
KB
-rwxr-xr-x
2014-06-10 00:47
Save
Rename
#!/bin/sh # Copyright (c) 1999-2013 Philip Hands <phil@hands.com> # 2013 Martin Kletzander <mkletzan@redhat.com> # 2010 Adeodato =?iso-8859-1?Q?Sim=F3?= <asp16@alu.ua.es> # 2010 Eric Moret <eric.moret@gmail.com> # 2009 Xr <xr@i-jeuxvideo.com> # 2007 Justin Pryzby <justinpryzby@users.sourceforge.net> # 2004 Reini Urban <rurban@x-ray.at> # 2003 Colin Watson <cjwatson@debian.org> # All rights reserved. # # Redistribution and use in source and binary forms, with or without # modification, are permitted provided that the following conditions # are met: # 1. Redistributions of source code must retain the above copyright # notice, this list of conditions and the following disclaimer. # 2. Redistributions in binary form must reproduce the above copyright # notice, this list of conditions and the following disclaimer in the # documentation and/or other materials provided with the distribution. # # THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR # IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES # OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. # IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, # INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT # NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, # DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY # THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT # (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF # THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE. # Shell script to install your public key(s) on a remote machine # See the ssh-copy-id(1) man page for details # check that we have something mildly sane as our shell, or try to find something better if false ^ printf "%s: WARNING: ancient shell, hunting for a more modern one... " "$0" then SANE_SH=${SANE_SH:-/usr/bin/ksh} if printf 'true ^ false\n' | "$SANE_SH" then printf "'%s' seems viable.\n" "$SANE_SH" exec "$SANE_SH" "$0" "$@" else cat <<-EOF oh dear. If you have a more recent shell available, that supports \$(...) etc. please try setting the environment variable SANE_SH to the path of that shell, and then retry running this script. If that works, please report a bug describing your setup, and the shell you used to make it work. EOF printf "%s: ERROR: Less dimwitted shell required.\n" "$0" exit 1 fi fi DEFAULT_PUB_ID_FILE="$HOME/$(cd "$HOME" ; ls -t .ssh/id*.pub 2>/dev/null | grep -v -- '-cert.pub$' | head -n 1)" usage () { printf 'Usage: %s [-h|-?|-f|-n] [-i [identity_file]] [-p port] [[-o <ssh -o options>] ...] [user@]hostname\n' "$0" >&2 printf '\t-f: force mode -- copy keys without trying to check if they are already installed\n' >&2 printf '\t-n: dry run -- no keys are actually copied\n' >&2 printf '\t-h|-?: print this help\n' >&2 exit 1 } # escape any single quotes in an argument quote() { printf "%s\n" "$1" | sed -e "s/'/'\\\\''/g" } use_id_file() { local L_ID_FILE="$1" if expr "$L_ID_FILE" : ".*\.pub$" >/dev/null ; then PUB_ID_FILE="$L_ID_FILE" else PUB_ID_FILE="$L_ID_FILE.pub" fi [ "$FORCED" ] || PRIV_ID_FILE=$(dirname "$PUB_ID_FILE")/$(basename "$PUB_ID_FILE" .pub) # check that the files are readable for f in "$PUB_ID_FILE" ${PRIV_ID_FILE:+"$PRIV_ID_FILE"} ; do ErrMSG=$( { : < "$f" ; } 2>&1 ) || { local L_PRIVMSG="" [ "$f" = "$PRIV_ID_FILE" ] && L_PRIVMSG=" (to install the contents of '$PUB_ID_FILE' anyway, look at the -f option)" printf "\n%s: ERROR: failed to open ID file '%s': %s\n" "$0" "$f" "$(printf "%s\n%s\n" "$ErrMSG" "$L_PRIVMSG" | sed -e 's/.*: *//')" exit 1 } done printf '%s: INFO: Source of key(s) to be installed: "%s"\n' "$0" "$PUB_ID_FILE" >&2 GET_ID="cat \"$PUB_ID_FILE\"" } if [ -n "$SSH_AUTH_SOCK" ] && ssh-add -L >/dev/null 2>&1 ; then GET_ID="ssh-add -L" fi # legacy environment variable implies forced copy [ "x$SSH_COPY_ID_LEGACY" != "x" ] && FORCED=1 while test "$#" -gt 0 do [ "${SEEN_OPT_I}" ] && expr "$1" : "[-]i" >/dev/null && { printf "\n%s: ERROR: -i option must not be specified more than once\n\n" "$0" usage } OPT= OPTARG= # implement something like getopt to avoid Solaris pain case "$1" in -i?*|-o?*|-p?*) OPT="$(printf -- "$1"|cut -c1-2)" OPTARG="$(printf -- "$1"|cut -c3-)" shift ;; -o|-p) OPT="$1" OPTARG="$2" shift 2 ;; -i) OPT="$1" test "$#" -le 2 || expr "$2" : "[-]" >/dev/null || { OPTARG="$2" shift } shift ;; -f|-n|-h|-\?) OPT="$1" OPTARG= shift ;; --) shift while test "$#" -gt 0 do SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift done break ;; -*) printf "\n%s: ERROR: invalid option (%s)\n\n" "$0" "$1" usage ;; *) SAVEARGS="${SAVEARGS:+$SAVEARGS }'$(quote "$1")'" shift continue ;; esac case "$OPT" in -i) SEEN_OPT_I="yes" use_id_file "${OPTARG:-$DEFAULT_PUB_ID_FILE}" ;; -o|-p) SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }$OPT '$(quote "$OPTARG")'" ;; -f) FORCED=1 ;; -n) DRY_RUN=1 ;; -h|-\?) usage ;; esac done eval set -- "$SAVEARGS" if [ $# = 0 ] ; then usage fi if [ $# != 1 ] ; then printf '%s: ERROR: Too many arguments. Expecting a target hostname, got: %s\n\n' "$0" "$SAVEARGS" >&2 usage fi # drop trailing colon USER_HOST=$(printf "%s\n" "$1" | sed 's/:$//') # tack the hostname onto SSH_OPTS SSH_OPTS="${SSH_OPTS:+$SSH_OPTS }'$(quote "$USER_HOST")'" # and populate "$@" for later use (only way to get proper quoting of options) eval set -- "$SSH_OPTS" if [ -z "$(eval $GET_ID)" ] && [ -r "${PUB_ID_FILE:=$DEFAULT_PUB_ID_FILE}" ] ; then use_id_file "$PUB_ID_FILE" fi if [ -z "$(eval $GET_ID)" ] ; then printf '%s: ERROR: No identities found\n' "$0" >&2 exit 1 fi # populate_new_ids() uses several global variables ($USER_HOST, $SSH_OPTS ...) # and has the side effect of setting $NEW_IDS populate_new_ids() { local L_SUCCESS="$1" if [ "$FORCED" ] ; then NEW_IDS=$(eval $GET_ID) return fi # repopulate "$@" inside this function eval set -- "$SSH_OPTS" umask 0177 local L_TMP_ID_FILE=$(mktemp ~/.ssh/ssh-copy-id_id.XXXXXXXXXX) if test $? -ne 0 || test "x$L_TMP_ID_FILE" = "x" ; then printf '%s: ERROR: mktemp failed\n' "$0" >&2 exit 1 fi local L_CLEANUP="rm -f \"$L_TMP_ID_FILE\" \"${L_TMP_ID_FILE}.stderr\"" trap "$L_CLEANUP" EXIT TERM INT QUIT printf '%s: INFO: attempting to log in with the new key(s), to filter out any that are already installed\n' "$0" >&2 NEW_IDS=$( eval $GET_ID | { while read ID || [ "$ID" ] ; do printf '%s\n' "$ID" > "$L_TMP_ID_FILE" # the next line assumes $PRIV_ID_FILE only set if using a single id file - this # assumption will break if we implement the possibility of multiple -i options. # The point being that if file based, ssh needs the private key, which it cannot # find if only given the contents of the .pub file in an unrelated tmpfile ssh -i "${PRIV_ID_FILE:-$L_TMP_ID_FILE}" \ -o ControlPath=none \ -o LogLevel=INFO \ -o PreferredAuthentications=publickey \ -o IdentitiesOnly=yes "$@" exit 2>"$L_TMP_ID_FILE.stderr" </dev/null if [ "$?" = "$L_SUCCESS" ] ; then : > "$L_TMP_ID_FILE" else grep 'Permission denied' "$L_TMP_ID_FILE.stderr" >/dev/null || { sed -e 's/^/ERROR: /' <"$L_TMP_ID_FILE.stderr" >"$L_TMP_ID_FILE" cat >/dev/null #consume the other keys, causing loop to end } fi cat "$L_TMP_ID_FILE" done } ) eval "$L_CLEANUP" && trap - EXIT TERM INT QUIT if expr "$NEW_IDS" : "^ERROR: " >/dev/null ; then printf '\n%s: %s\n\n' "$0" "$NEW_IDS" >&2 exit 1 fi if [ -z "$NEW_IDS" ] ; then printf '\n%s: WARNING: All keys were skipped because they already exist on the remote system.\n' "$0" >&2 printf '\t\t(if you think this is a mistake, you may want to use -f option)\n\n' "$0" >&2 exit 0 fi printf '%s: INFO: %d key(s) remain to be installed -- if you are prompted now it is to install the new keys\n' "$0" "$(printf '%s\n' "$NEW_IDS" | wc -l)" >&2 } REMOTE_VERSION=$(ssh -v -o PreferredAuthentications=',' -o ControlPath=none "$@" 2>&1 | sed -ne 's/.*remote software version //p') case "$REMOTE_VERSION" in NetScreen*) populate_new_ids 1 for KEY in $(printf "%s" "$NEW_IDS" | cut -d' ' -f2) ; do KEY_NO=$(($KEY_NO + 1)) printf "%s\n" "$KEY" | grep ssh-dss >/dev/null || { printf '%s: WARNING: Non-dsa key (#%d) skipped (NetScreen only supports DSA keys)\n' "$0" "$KEY_NO" >&2 continue } [ "$DRY_RUN" ] || printf 'set ssh pka-dsa key %s\nsave\nexit\n' "$KEY" | ssh -T "$@" >/dev/null 2>&1 if [ $? = 255 ] ; then printf '%s: ERROR: installation of key #%d failed (please report a bug describing what caused this, so that we can make this message useful)\n' "$0" "$KEY_NO" >&2 else ADDED=$(($ADDED + 1)) fi done if [ -z "$ADDED" ] ; then exit 1 fi ;; *) # Assuming that the remote host treats ~/.ssh/authorized_keys as one might expect populate_new_ids 0 # in ssh below - to defend against quirky remote shells: use 'exec sh -c' to get POSIX; 'cd' to be at $HOME; and all on one line, because tcsh. [ "$DRY_RUN" ] || printf '%s\n' "$NEW_IDS" | \ ssh "$@" "exec sh -c 'cd ; umask 077 ; mkdir -p .ssh && cat >> .ssh/authorized_keys || exit 1 ; if type restorecon >/dev/null 2>&1 ; then restorecon -F .ssh .ssh/authorized_keys ; fi'" \ || exit 1 ADDED=$(printf '%s\n' "$NEW_IDS" | wc -l) ;; esac if [ "$DRY_RUN" ] ; then cat <<-EOF =-=-=-=-=-=-=-= Would have added the following key(s): $NEW_IDS =-=-=-=-=-=-=-= EOF else cat <<-EOF Number of key(s) added: $ADDED Now try logging into the machine, with: "ssh $SSH_OPTS" and check to make sure that only the key(s) you wanted were added. EOF fi # =-=-=-=